## ros-humble-ament-black 0.1.0

=== debian/changelog ===
ros-humble-ament-black (0.1.0-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Tim Clephas <tim.clephas@nobleo.nl>  Fri, 18 Nov 2022 12:37:58 -0000
