## ros-humble-ament-black 0.2.6

=== debian/changelog ===
ros-humble-ament-black (0.2.6-1bookworm) bookworm; urgency=high

  * Add packaging as a required dependency (#14 <https://github.com/botsandus/ament_black/issues/14>)
    Follow up to:
    - https://github.com/botsandus/ament_black/pull/13
  * Contributors: Ruffin

 -- Tyler Weaver <tylerjw@gamil.com>  Wed, 04 Sep 2024 16:00:00 -0000

ros-humble-ament-black (0.2.5-1bookworm) bookworm; urgency=high

  * Fix ament_black for new get_sources API (#13 <https://github.com/botsandus/ament_black/issues/13>)
    * Fix ament_black for new get_sources API
    * Fix import order
    * Add backward compatibility with older black versions
    * style
    * Move global variables inside method to fix flake8
    * Import only for newer versions
    * Last tweak
    ---------
    Co-authored-by: Ignacio Vizzo <mailto:ignacio@dexory.com>
  * Contributors: Błażej Sowa

 -- Tyler Weaver <tylerjw@gamil.com>  Sun, 28 Jul 2024 16:00:00 -0000

ros-humble-ament-black (0.2.4-1bookworm) bookworm; urgency=high

  * Nacho/fix rolling build (#9 <https://github.com/botsandus/ament_black/issues/9>)
  * Nacho/fix xunit report (#8 <https://github.com/botsandus/ament_black/issues/8>)
  * Contributors: Ignacio Vizzo

 -- Tyler Weaver <tylerjw@gamil.com>  Thu, 18 Jan 2024 16:00:00 -0000

ros-humble-ament-black (0.2.3-1bookworm) bookworm; urgency=high

  * Add python3-uvloop as dependency https://github.com/ros/rosdistro/pull/38754
  * Contributors: Ignacio Vizzo

 -- Tyler Weaver <tylerjw@gamil.com>  Thu, 12 Oct 2023 16:00:00 -0000

ros-humble-ament-black (0.2.2-1bookworm) bookworm; urgency=high

  * Nacho/fix ci tests (#5 <https://github.com/botsandus/ament_black/issues/5>)
    * Add missing test dependency
    * pre-commit
    * Add pre-commit workflow
    * Add CLI test to make sure the package has been properly installed
    * Remove ament hooks
    * Add missing apt-python dependency
    Not sure if it's necessary ...
    * Fix CI pre-commit
    The CI error was fixed in: https://github.com/psf/black/issues/2964
    Thus, we need black >22.3.0
  * Contributors: Ignacio Vizzo

 -- Tyler Weaver <tylerjw@gamil.com>  Tue, 10 Oct 2023 16:00:00 -0000

ros-humble-ament-black (0.2.1-1bookworm) bookworm; urgency=high

  * Nacho/fix black (#4 <https://github.com/botsandus/ament_black/issues/4>)
    * Don't guess filenames. Black knows better
    * Pass only the files to be formatted
    * Fix ament-black multithread execution
    * Add uvloop as dependency to allow concurrency
  * Contributors: Ignacio Vizzo

 -- Tyler Weaver <tylerjw@gamil.com>  Tue, 10 Oct 2023 16:00:00 -0000

ros-humble-ament-black (0.2.0-1bookworm) bookworm; urgency=high

  * Create a new release for a renewed and mantained package
  * Contributors: Ignacio Vizzo [Dexory]

 -- Tyler Weaver <tylerjw@gamil.com>  Sun, 08 Oct 2023 16:00:00 -0000

ros-humble-ament-black (0.1.0-1bookworm) bookworm; urgency=high

  * Initial release.

 -- Tyler Weaver <tylerjw@gamil.com>  Mon, 30 May 2022 16:00:00 -0000
